summaryrefslogtreecommitdiffstats
path: root/doc/khelpcenter/glossary/checkxrefs
diff options
context:
space:
mode:
authorSlávek Banko <[email protected]>2020-11-17 19:52:37 +0100
committerSlávek Banko <[email protected]>2020-11-17 19:52:37 +0100
commit1b6c123de102f0152d296fba8771d348329ba95c (patch)
tree0f2bb5c5e91f1a6abdd0e585c36c8307b930fc71 /doc/khelpcenter/glossary/checkxrefs
parent9b5b19a9b4baaba6199b9d3797df6b8fc8f76606 (diff)
downloadtdebase-1b6c123de102f0152d296fba8771d348329ba95c.tar.gz
tdebase-1b6c123de102f0152d296fba8771d348329ba95c.zip
Move the khelpcenter guides to the directory level in which they are installed.
Signed-off-by: Slávek Banko <[email protected]>
Diffstat (limited to 'doc/khelpcenter/glossary/checkxrefs')
-rwxr-xr-xdoc/khelpcenter/glossary/checkxrefs10
1 files changed, 10 insertions, 0 deletions
diff --git a/doc/khelpcenter/glossary/checkxrefs b/doc/khelpcenter/glossary/checkxrefs
new file mode 100755
index 000000000..6da64c184
--- /dev/null
+++ b/doc/khelpcenter/glossary/checkxrefs
@@ -0,0 +1,10 @@
+#!/bin/sh
+DEFINED_ENTRIES=`sed -ne "s^.*<glossentry id=\"\(.*\)\">.*^\1^p" *.docbook`
+REFERENCED_ENTRIES=`sed -ne "s^.*<glossseealso otherterm=\"\(.*\)\">.*^\1^p" *.docbook | unique`
+
+# Check for entries which are referenced but not defined.
+for ENTRY in $REFERENCED_ENTRIES; do
+ if ! echo $DEFINED_ENTRIES | grep $ENTRY - > /dev/null 2>&1; then
+ echo "'$ENTRY' referenced but not defined!"
+ fi
+done